Class | Spec::Mocks::StringArgConstraint
In: | lib/spec/mocks/argument_expectation.rb
Parent: | Object

### Methods

matches? new

### Public Class methods

new(ignore)

[Source]

        # File lib/spec/mocks/argument_expectation.rb, line 90
    90:       def initialize(ignore)
    91:       end

### Public Instance methods

matches?(value)

[Source]

        # File lib/spec/mocks/argument_expectation.rb, line 93
    93:       def matches?(value)
    94:         value.is_a?(String)
    95:       end

[Validate]